@extends('admin::layouts.blank')

@section('content')

@php
assets('styles.css', 'public::vendor/anomaly/theme/flow/css/login.css');
assets('scripts.js', 'public::vendor/anomaly/theme/flow/js/form/form.js');
$form = form('login')->redirect('admin')->get();
@endphp


<div class="flex h-screen items-center justify-center">

    {!! $form->open(['class' => 'o-form-login']) !!}

    <div class="c-form-header">
        <svg class="o-form-login__brand" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 182.44 182.45">
            <title>Streams - the sexist non-cms or cmf you have ever seen</title>
            <path
                d="M59.09,107.22l16.13,16.13,48.12-48.13L107.22,59.1ZM139.22,91.1,70.33,160h32.24l52.77-52.77ZM35.35,163.22l24-24L3.29,83.16a11.23,11.23,0,0,1,0-15.87L67.15,3.42A11.2,11.2,0,0,1,75.22,0h64a11.22,11.22,0,0,1,7.62,19.47h0L123.1,43.23l56.06,56.06a11.23,11.23,0,0,1,0,15.87l-64,64a11.19,11.19,0,0,1-7.94,3.29h-64a11.22,11.22,0,0,1-7.87-19.23Zm7.86-71.88L112.1,22.45H79.86L27.09,75.22Z"
                transform="translate(0)" style="fill-rule: evenodd;"></path>
        </svg>
        <h1 class="o-form-login__title">Login</h1>
    </div>
    <div class="o-form-login__field-wrapper">
        <fieldset class="o-form-login__fieldset">

            {{-- <h1 class="o-form-login__title o-form-login__title--center">Login</h1> --}}

            @if (config('anomaly.module.users::login', 'email') == 'username')

            {!! $form->fields->username->setPlaceholder('username').addAttribute('autofocus', 1)->render() !!}
            @else

            {!! $form->fields->email->setPlaceholder('email')->addAttribute('autofocus', 1)->render() !!}
            @endif

            {!! $form->fields->password->setPlaceholder('password')->render() !!}
        </fieldset>
        <div class="c-form__footer">
            <button type="submit">
                {{ trans('anomaly.module.users::button.login') }}
            </button>
            <a href="#">
                {{ trans('anomaly.module.users::message.forgot_password') }}
            </a>

        </div>
    </div>

    {!! $form->close() !!}
</div>
@endsection
